void setColor(int intensity=100);
void init(void);
float calculateModulus(float X, float Y, float Z);
float normalize(float field); //normalize the field versus the field limit to have something in percent of field limit
void startZeroing();
void blink();
float getGainXY(int GAIN_SEL,int RES_XYZ);
float getGainZ(int GAIN_SEL,int RES_XYZ);
void MeasureXYZT(float *X,float *Y,float *Z, float *T);
void updateLCD(float X,float Y,float Z,float modulus);
void CorrectXYZ(float *X,float *Y,float *Z); // correct for zeroing and convert LSB in uT


//define warning sign bitmap
static char warning[] = {
0x01    ,   0x00    ,
0x02    ,   0x80    ,
0x05    ,   0x40    ,
0x09    ,   0x20    ,
0x11    ,   0x10    ,
0x21    ,   0x08    ,
0x40    ,   0x04    ,
0x81    ,   0x02    ,
0xFF    ,   0xFF    ,

};

Bitmap bitmWarning={
  16, // XSize
  9, // YSize
  2, // Bytes in Line
  warning,  // Pointer to picture data 
};
